# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: libllvm11
  version: 11.1.0
source:
  patches:
    - patches/expect-fastmath-entrypoints-in-add-TLI-mappings.ll.patch
    - patches/intel-D47188-svml-VF.patch
    - patches/numba-0001-Revert-Limit-size-of-non-GlobalValue-name.patch
    - patches/pass-through-qemu-ld-prefix.diff
    - patches/xfail-permission-test-on-linux.patch
  sha256: ce8508e318a01a63d4e8b3090ab2ded3c598a50258cc49e2625b9120d4c03ea5
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/llvm-11.1.0.src.tar.xz
build:
  activate_in_script: true
  number: 0
  run_exports:
    - libllvm11 >=11.1.0,<11.2.0a0
  string: h6c8bc22_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2021.7.5 hd43f75c_1
    - ccache 3.7.9 h8ea0f78_0
    - cmake 3.19.6 h1ac774c_0
    - expat 2.4.1 h22f4aa5_2
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gxx_impl_linux-aarch64 10.2.0 h1234567_51
    - gxx_linux-aarch64 10.2.0 h1234567_41
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.19.1 h4b604a8_0
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libcurl 7.71.1 h48584d0_1
    - libedit 3.1.20210714 h2f4d8fa_0
    - libffi 3.3 h7c1a80f_2
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libssh2 1.9.0 hcd09bdd_1
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - libuv 1.40.0 hfd63f10_0
    - lz4-c 1.9.3 h7c1a80f_0
    - make 4.2.1 hfd63f10_1
    - ncurses 6.2 hfd63f10_0
    - openssl 1.1.1k hfd63f10_1
    - python 3.9.6 hc137634_1
    - readline 8.1 hfd63f10_0
    - rhash 1.4.1 hcd09bdd_1
    - sqlite 3.36.0 h6632b73_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.10 h8ea0f78_0
    - tzdata 2021a h5d7bf9c_0
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
    - zstd 1.4.9 h20642d3_2
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - zlib 1.2.11 hfd63f10_5
  run:
    - libgcc-ng >=10.2.0
    - libstdcxx-ng >=10.2.0
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - test -f $PREFIX/lib/libLLVM-11${SHLIB_EXT}
about:
  dev_url: https://github.com/llvm-mirror/llvm
  home: http://llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: LICENSE.TXT
  summary: Development headers and libraries for LLVM
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - SylvainCorlay
    - inducer
    - isuruf
    - jakirkham
    - mingwandroid
    - timsnyder
